<cfif Request.PAGE.BuildingPageCache is NOT 0>		<!--- if this is not added multiple entries are added to the tree, because this routine is called twice --->
	<cfexit>
</cfif>

<!--- build structure of icons --->
<CFQUERY NAME="GetDocType" DATASOURCE="#Request.Site.DataSource#">
	SELECT *
	  FROM Formats
</CFQUERY>
<CFSET structDocTypes = StructNew()>
<CFLOOP QUERY="GetDocType">
	<CFSET foo = StructInsert(structDocTypes,"#GetDocType.Extension#","#GetDocType.iconpath#")>
</CFLOOP>


<CFSCRIPT>
	ElementInfo = Attributes.ElementInfo;
	items = ElementInfo.ElementData.Items;
	previd = "";

	allIcons = "#ElementInfo.Icon_ElementProps##ElementInfo.Icon_Info##ElementInfo.Icon_Edit##ElementInfo.Icon_Approve#";
	if (allIcons is not "")
		WriteOutput("#allIcons#<BR>");
</CFSCRIPT>

<cfparam name="prevlist" default="">
<cfparam name="theParentList" default="">
<cfparam name="idList" default="">


<CFMODULE TEMPLATE="/commonspot/dhtmltree/dhtml_tree.cfm"  
	TREENAME="Documents" 
	width="350" 
	height="50" 
	FORMNAME="dlgform" 
	renderInFrame="false"
	border=0
	parentBold=0
	ResizeWindowOnExpandCollapse=0
	LinkStyle="text-decoration:none; color:black;"
	OpenLinkIn="same">

<cfoutput><form name="dlgform"></cfoutput>

<cfloop index="index" from="1" to="#ArrayLen(items)#" step="1">

	<cfscript>
		id = items[index].ID;
		subsiteid = items[index].SubSiteID;
		title = items[index].title;
		filename = items[index].filename;
		description = items[index].description;
	</cfscript>
	
	<cfif ListFind( prevlist, subsiteid ) is 0>
		<cfset prevlist = ListPrepend( prevlist, subsiteid )>

		<cfif Request.SubSiteCache[subsiteid].ParentID gt 1>
			<CFMODULE TEMPLATE="/commonspot/dhtmltree/dhtml_tree_item.cfm"
				VALUE="#subsiteid#"
				IMG="folder"
				DISPLAY="<strong>#Request.SubSiteCache[subsiteid].MenuName#</strong>"
				CAPTION=""
				EXPAND="Yes"
				Parent = "#Request.SubSiteCache[subsiteid].ParentID#">			
			<cfset theParentList = ListAppend(theParentList,Request.SubSiteCache[subsiteid].ParentID)>
		<cfelse>
			<CFMODULE TEMPLATE="/commonspot/dhtmltree/dhtml_tree_item.cfm"
				VALUE="#subsiteid#"
				IMG="folder"
				DISPLAY="<strong>#Request.SubSiteCache[subsiteid].MenuName#</strong>"
				CAPTION=""
				EXPAND="Yes">					
		</cfif>
		
	</cfif>
	
	<cfif ListFind(idList,id) is 0>
		<cfset idList = ListAppend(idList,id)>
		
		<!--- Add entry to Parent --->
		<CFIF items[index].Uploaded is 1>
		
			<CFMODULE TEMPLATE="/commonspot/utilities/ct-get-file-ext.cfm" FileName="#items[index].FileName#" ExtVariable="ext">
		
			<!--- find icon name in the array --->
			<CFTRY>
				<CFSET icon = StructFind (structDocTypes, ext)>
				<CFCATCH>
					<!--- did not have field in structure for this type --->
					<CFSET icon = "format-blank.gif">
				</CFCATCH>
			</CFTRY>
		<cfelse>
			<!--- <cfset icon = "format-html.gif"> --->		
			<cfset icon = "clear.gif">		<!--- use this to not show --->
		</CFIF>
		<CFSET docBitmap = "#Request.CP.ImageURL##icon#">					
		
		<CFMODULE TEMPLATE="/commonspot/utilities/ct-fromhtml.cfm" source="#items[index].Title#" destVar="dispTitle">
		
		<cfscript>
			dispTitle = Replace(dispTitle, "&amp;", "&");
		</cfscript>
		
		<CFIF items[index].Uploaded is 1>
			<CFMODULE TEMPLATE="/commonspot/dhtmltree/dhtml_tree_item.cfm"
				VALUE="#ID#^#FileName#^#Title#^UPLOADED"
				IMG="#docBitmap#"
				DISPLAY="#dispTitle# (uploaded document)"
				CAPTION="#Description#"
				PARENT="#SubSiteID#"
				EXPAND="YES"
				HREF="#Request.SubSiteCache[subsiteid].DlgLoader#?url=/commonspot/security/getfile.cfm&pageid=#ID#"
				OpenLinkIn="same">
		<cfelse>
			<!--- <cfset renderedIds = ListAppend(renderedIds,id)> --->
			<CFMODULE TEMPLATE="/commonspot/dhtmltree/dhtml_tree_item.cfm"
				VALUE="#SubSiteID#^#ID#^#FileName#^#Title#"
				IMG="#docBitmap#"
				DISPLAY="#dispTitle#"
				CAPTION="#Request.SubSiteCache[SubSiteID].URL##FileName#: #Description#"
				PARENT="#SubSiteID#"
				EXPAND="Yes"
				HREF="#Request.SubSiteCache[SubSiteID].URL##FileName#"
				OpenLinkIn="same">
		</cfif>			
	</cfif>
	
</cfloop>

<!--- make sure all of the parent are added --->
<cfloop index="index" list="#theParentList#">
	<cfif ListFind(prevlist,index) is 0>
		<CFMODULE TEMPLATE="/commonspot/dhtmltree/dhtml_tree_item.cfm"
				VALUE="#index#"
				IMG="folder"
				DISPLAY="#Request.SubSiteCache[index].MenuName#"
				CAPTION=""
				EXPAND="Yes"
				Parent = "#Request.SubSiteCache[index].ParentID#">			
		<cfset theParentList = ListAppend(theParentList,index)>
		<cfset prevList = ListAppend(prevlist,index)>
	</cfif>	
</cfloop>

</cfmodule> 	

<cfoutput></form></cfoutput>



