<!----- Woodbourne Solutions, Inc.
		Page Name:		- custom-application
		Description:	- commonspot's custom tie in to their Application scope framework
------>

<cfset reset_session = "no">
<!----- 
	kick off a custom tags to check:
	if the woodbourn structure does not exist OR 
	the user has changed 
	if so then:
	<cfset reset_session = "yes">
--->

<!--- if session is new or user has changed ----->
<cfif reset_session>
	<cflock type="exclusive" timeout="20" name="#session_lock_name#">
		<cfscript>
			// set the sessionvars
			Session.woodbourne = StructNew();
			Session.woodbourne.xxx = var1;
			Session.woodbourne.yyy = var2;
			Session.woodbourne.zzz = var3;
			// copy over to the request scope
			Request.woodbourne = StructCopy(Session.woodbourne);
		</cfscript>
	</cflock>
<cfelse>
	<cflock type="readonly" timeout="20" name="#session_lock_name#">
		<cfscript>
			// copy over to the request scope
			Request.woodbourne = StructCopy(Session.woodbourne);
		</cfscript>
	</cflock>
</cfif><!---- for reset_session --->

<!---
	kick off some custom tags that to generate ws_site, ws_subsite, ws_url
---->
<!---- add to the Request Scope ------>
<cfscript>
	Request.woodbourne.ws_site = ws_site;
	Request.woodbourne.ws_subsite = ws_subsite;
	Request.woodbourne.ws_url = ws_url;
</cfscript>
