<!--- Woodbourne Solutions, Inc.
		Page Name:		- menu.cfm
		Description:	- menu for site
		Called From:	- nichd-header.cfm
		Calls:
--->
<CFPARAM name="menupre" default="">
<!---- ensure that the MetaData is present ---->
<cfif NOT IsDefined("Request.MetaData.menu")>
	<!---- if not present, recreate it ----->
	<cfmodule
		template="/commonspot/metadata/build-struct.cfm"
		pageid="#Request.Page.ID#"
		inheritedTemplateList="#Request.Page.InheritedTemplateList#"
		CategoryID="#Request.Page.CategoryID#">
</cfif>

<cfset menupre = "#Request.woodbourne.ws_url#/">
<cfset menuinclude = "">

<cfif request.subsite.parentid NEQ "1">
	<cfset menuinclude = "/nichd/customcf/nichd-menu-#Request.woodbourne.ws_subsite#.cfm">
</cfif>

<cfoutput>
<table cellspacing=0 cellpadding=2 border=0 width=148>
	<tr>
		<td>
			<cfset menuclass = "Menu">
			<cfif IsDefined("Request.MetaData.Menu.Mission") AND Len(Trim(Request.MetaData.Menu.Mission))>
				<cfset menuclass = "MenuCurrent">
			</cfif>
			<a href="#menupre#mission.cfm" class="#menuclass#">Mission</a>
		</td>
	</tr>
	<tr>
		<td>
			<cfset menuclass = "Menu">
			<cfif IsDefined("Request.MetaData.Menu.WhoToContact") AND Len(Trim(Request.MetaData.Menu.WhoToContact))>
				<cfset menuclass = "MenuCurrent">
			</cfif>
			<a href="#menupre#contact.cfm" class="#menuclass#">Who To Contact for...</a>
		</td>
	</tr>
	<tr>
		<td>
			<cfset menuclass = "Menu">
			<cfif IsDefined("Request.MetaData.Menu.Faq") AND Len(Trim(Request.MetaData.Menu.Faq))>
				<cfset menuclass = "MenuCurrent">
			</cfif>
			<a href="#menupre#faq/index.cfm" class="#menuclass#">FAQs</a>
		</td>
	</tr>
	<tr>
		<td>
			<cfset menuclass = "Menu">
			<cfif IsDefined("Request.MetaData.Menu.Committees") AND Len(Trim(Request.MetaData.Menu.Committees))>
				<cfset menuclass = "MenuCurrent">
			</cfif>
			<a href="#menupre#committees/index.cfm" class="#menuclass#">Committees</a>
		</td>
	</tr>
	<tr>
		<td>
			<cfset menuclass = "Menu">
			<cfif IsDefined("Request.MetaData.Menu.FormsAndTemplates") AND Len(Trim(Request.MetaData.Menu.FormsAndTemplates))>
				<cfset menuclass = "MenuCurrent">
			</cfif>
			<a href="#menupre#forms/index.cfm" class="#menuclass#">eForms &amp; eTools</a>
		</td>
	</tr>
	<tr>
		<td>
			<cfset menuclass = "Menu">
			<cfif IsDefined("Request.MetaData.Menu.PolicyAndProcedures") AND Len(Trim(Request.MetaData.Menu.PolicyAndProcedures))>
				<cfset menuclass = "MenuCurrent">
			</cfif>
			<a href="#menupre#policy_procedures/index.cfm" class="#menuclass#">Policy &amp; Procedures</a>
		</td>
	</tr>
	<tr>
		<td>
			<cfset menuclass = "Menu">
			<cfif IsDefined("Request.MetaData.Menu.Processes") AND Len(Trim(Request.MetaData.Menu.Processes))>
				<cfset menuclass = "MenuCurrent">
			</cfif>
			<a href="#menupre#processes/index.cfm" class="#menuclass#">Processes</a>
		</td>
	</tr>
	<!--- custom branch level menus --------->
	<cfif LEN(TRIM(menuinclude))>
		<cfinclude template="#menuinclude#">
	</cfif>
</table>
</cfoutput>

