<!--- Woodbourne Solutions, Inc. 
		Page Name:		- quick-link.cfm
		Description:	- custom renderer used to display page indexes
							modifies the elementinfo structure
								adds check for uploaded content and uses popup
								adds a quicklink if present
--->

<CFSCRIPT>
	ElementInfo = Attributes.ElementInfo;
	items = ElementInfo.ElementData.Items;
	ItemsList = "0";
	What = "pageIndex"; // this is needed because the pageindex-standard-render.cfm below will throw an error without it
</CFSCRIPT>


<cfloop from="1" to="#ArrayLen(items)#" Index="i">
	<cfscript>
		pageid = items[i].id;
		ItemsList = ListAppend(ItemsList,pageid);
	</cfscript>
</cfloop>

<cfquery name="qText" datasource="#Request.Site.DataSource#">
	SELECT 	d.pageid, d.fieldvalue AS quick_link_text
	FROM data_fieldValue d, formInputControl f
	WHERE d.pageID IN(#ItemsList#)
		AND d.fieldID = f.id
		AND UPPER(f.fieldName) = 'FIC_QUICK_LINK_TEXT'
		AND d.fieldValue IS NOT NULL 
	ORDER BY d.pageID
</cfquery>

<cfquery name="qHref" datasource="#Request.Site.DataSource#">
	SELECT 	d.pageid, d.fieldvalue AS quick_link_href
	FROM data_fieldValue d, formInputControl f
	WHERE d.pageID IN(#ItemsList#)
		AND d.fieldID = f.id
		AND UPPER(f.fieldName) = 'FIC_QUICK_LINK_HREF'
		AND d.fieldValue IS NOT NULL 
	ORDER BY d.pageID
</cfquery>
<cfscript>
	TextList=ValueList(qText.pageID);
	HrefList=ValueList(qHref.pageID);
	d_quote = chr(34);
	//insert_html = "</a></td><td valign=top width=100% nowrap>";
	//spacer = '&nbsp;<img src="/images/spacer.gif" width="70" height="1" alt="" border="">';
	insert_html = "</a>&nbsp;&nbsp;";
	spacer = "";
</cfscript>
<cfloop from="1" to="#ArrayLen(items)#" Index="i">
	<cfscript>
		thelen = 100;
		pageid = items[i].id;
		title = items[i].title;
		if (Len(Trim(title)) GT thelen)
			title = Mid(items[i].title,1,thelen) & "...";
		//look in both the HrefList & TextList - if we find values, then we have a quick link ---->
		theH = ListFind(HrefList,pageid);
		theT = ListFind(TextList,pageid);
		if (theH AND theT){
			quickHref = qHref.quick_link_href[theH];
			quickText = "<img src='/images/quick-link.gif' width=32 height=14 alt='#qText.quick_link_text[theT]#' border=0>";
			//modify the structure add the quick link 
			ElementInfo.ElementData.Items[i].title = title & insert_html & "<a href=#d_quote##quickHref##d_quote#>#quickText#";
		}else{
			//modify the structure add the empty table cell 
			ElementInfo.ElementData.Items[i].title = title & insert_html & spacer;
		}
	</cfscript>
</cfloop>


<cfoutput>
<table width="100%" border=0>
	<tr>
		<td>
		</cfoutput>
		<!---- now pass ELEMENTINFO back to commonspot ----->
		<CFMODULE 
			TEMPLATE="/commonspot/controls/pageindex/pageindex-standard-render.cfm" 
			ElementInfo="#ElementInfo#">
		<cfoutput>
		</td>
	</tr>
</table>
</cfoutput>


	



